## zonecheck 2.0.4

=== Makefile ===
# $Id: Makefile,v 1.38 2003/11/13 18:00:22 sdalu Exp $

#  
# CONTACT     : zonecheck@nic.fr 
# AUTHOR      : Stephane D'Alu <sdalu@nic.fr> 
# 
# CREATED     : 2003/10/23 21:04:09 
# REVISION    : $Revision: 1.38 $  
# DATE        : $Date: 2003/11/13 18:00:22 $ 
# 

RUBY ?=ruby
ZC_INSTALLER=$(RUBY) ./installer.rb


all: configinfo

configinfo: 
	@echo "Nothing to make, you can install it right now!"
	@echo " => but ensure that you have the full path for the ruby interpreter!"
	@echo ""
	@$(ZC_INSTALLER) configinfo
	@echo ""
	@echo "You can change them by using the syntax:"
	@echo "  $(MAKE) key=value"

install:
	@$(ZC_INSTALLER) all

=== doc/xml/Makefile ===
DOCBOOK_FILES=../../../formation/lib

include ${DOCBOOK_FILES}/Makefile.inc

# $Id: Makefile,v 1.1 2003/02/18 10:59:48 bortzmeyer Exp $

## zonecheck 2.0.4+cvs20081105

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
-# $Id: Makefile,v 1.38 2003/11/13 18:00:22 sdalu Exp $
+# $Id: Makefile,v 1.39 2004/12/02 09:06:11 bortzmeyer Exp $
 
 #  
 # CONTACT     : zonecheck@nic.fr 
 # AUTHOR      : Stephane D'Alu <sdalu@nic.fr> 
 # 
 # CREATED     : 2003/10/23 21:04:09 
-# REVISION    : $Revision: 1.38 $  
-# DATE        : $Date: 2003/11/13 18:00:22 $ 
+# REVISION    : $Revision: 1.39 $  
+# DATE        : $Date: 2004/12/02 09:06:11 $ 
 # 
 
 RUBY ?=ruby
@@ -26,3 +26,6 @@
 
 install:
 	@$(ZC_INSTALLER) all
+
+default:
+	$(MAKE) RUBY=`which ruby` install

## zonecheck 3.0.2

=== debian/changelog ===
zonecheck (3.0.2-1) unstable; urgency=low

  * New upstream release (Closes: #587419).
  * Updated watch file.
  * Bumped up Standards revision.

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Jul 2010 12:55:39 +0200

zonecheck (3.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #586790).
  * Migrate to 3.0(quilt) source format.

 -- Sebastien Delafond <seb@debian.org>  Thu, 24 Jun 2010 11:02:25 +0200

zonecheck (2.1.1-1) unstable; urgency=high

  * New upstream release, that fixes XSS issue in the the CGI
    (Closes: #583290).

 -- Sebastien Delafond <seb@debian.org>  Sat, 29 May 2010 14:27:37 +0200

zonecheck (2.1.0-1) unstable; urgency=low

  * New upstream release (Closes: #569566).
  * Added watch file.

 -- Sebastien Delafond <seb@debian.org>  Fri, 12 Feb 2010 14:32:14 +0100

zonecheck (2.0.4+cvs20081105-1) unstable; urgency=low

  * New upstream version.
  * Bumped up Standards revision.
  * Lintian cleanups.

 -- Sebastien Delafond <seb@debian.org>  Sat, 10 Oct 2009 11:40:59 +0200

zonecheck (2.0.4-13) unstable; urgency=low

  * Move files away from /var/www/zonecheck, and document the changes
    in NEWS.Debian.

 -- Sebastien Delafond <seb@debian.org>  Mon, 02 Jun 2008 11:47:32 -0700

zonecheck (2.0.4-12) unstable; urgency=low

  * Previous change only accomplished half of the task: manually removing
    man/zonecheck.1.new from the source tarball completes it.

 -- Sebastien Delafond <seb@debian.org>  Sat, 31 May 2008 17:33:09 -0700

zonecheck (2.0.4-11) unstable; urgency=low

  * Lintian cleanups.
  * Fix dpatch 40, which was writing man/zonecheck.1.new.

 -- Sebastien Delafond <seb@debian.org>  Fri, 09 May 2008 16:25:06 -0700

zonecheck (2.0.4-10) unstable; urgency=low

  * Rename locale.rb to zc-locale.rb, so as to not shadow the module
    provided by liblocale-ruby (Closes: #472300).

 -- Sebastien Delafond <seb@debian.org>  Tue, 06 May 2008 21:06:29 -0700

zonecheck (2.0.4-9) unstable; urgency=low

  * Correct format for the rootservers files (Closes: #463638).

 -- Sebastien Delafond <seb@debian.org>  Wed, 27 Feb 2008 16:22:28 -0800

zonecheck (2.0.4-8) unstable; urgency=low

  * Updated l.root-servers.net address, and added IPv6 addresses
    (Closes: #463638).
  * lintian cleanup:
    - updated Standards-Version to latest revision.
    - removed empty directory /usr/share/zonecheck for zonecheck-cgi.
    - added missing dpatch comments.
    - well-formed copyright notice.

 -- Sebastien Delafond <seb@debian.org>  Fri, 22 Feb 2008 07:33:50 -0800

zonecheck (2.0.4-7) unstable; urgency=low

  * Included patch by Arnaud Cornet to allow for using a different name server than
    what is in /etc/resolv.conf (Closes: #418029).
  * Wrote patch to never use ruby-libxml even if it is installed (Closes: #407896).
  
 -- Sebastien Delafond <seb@debian.org>  Fri, 06 Apr 2007 11:05:54 -0700

zonecheck (2.0.4-6) unstable; urgency=low

  * Upgraded standards version to 3.7.2.
  * Moved debhelper and dpatch from Build-Depends-Indep to
    Build-Depends.
  
 -- Sebastien Delafond <seb@debian.org>  Thu, 15 Jun 2006 16:30:01 -0700

zonecheck (2.0.4-5) unstable; urgency=low

  * Changed maintainer to <seb@debian.org>.
  * Changed build dependencies from Build-Depends to Build-Depends-Indep.
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 06 Feb 2006 17:13:46 -0800

zonecheck (2.0.4-4) unstable; urgency=low

  * Removed unnecessary depends on libraries included in libruby1.8
    (Closes: #326191).
  * Upgraded standards-version to 3.6.2.1.

 -- Sebastien Delafond <sdelafond@gmx.net>  Fri, 16 Sep 2005 15:37:52 -0700

zonecheck (2.0.4-3) unstable; urgency=low	

  * Added missing files to the installed documentation (Closes: #272964)
  * Modified debian/rules to include /usr/share/dpatch/dpatch/make
  * Patched doc/zonecheck.1 to escape '-' signs where needed (per 
    http://lists.debian.org/debian-devel/2003/03/msg01481.html) and sent
    patch to upstream.
    Package is now lintian/linda clean.
  * Renamed dpatch files
  * Changed last incorrect timestamp in changelog.Debian
  * Added note to README.Debian in zonecheck-cgi, poiting to documentation
    in /usr/share/doc/zonecheck

 -- Sebastien Delafond <sdelafond@gmx.net>  Wed, 22 Sep 2004 21:20:12 -0700

zonecheck (2.0.4-2) unstable; urgency=low

  * Fixed incorrect locale handling, sent patch to upstream (Closes: #272390)
  * Add note to README.Debian in zonecheck-cgi, to state the new
    location of the webfiles.
	
 -- Sebastien Delafond <sdelafond@gmx.net>  Wed, 17 Sep 2004 11:35:03 -0700

zonecheck (2.0.4-1) unstable; urgency=low

  * New maintainer. Closes: #270249
  * New upstream release.
  * Correctly installs web pages for zonecheck-cgi in /var/www/zonecheck.
  * Uses dpatch.

 -- Sebastien Delafond <sdelafond@gmx.net>  Wed, 15 Sep 2004 20:53:02 -0700

zonecheck (2.0.3-2) unstable; urgency=low

  * Formally orphaned. Maintainer set to QA. See bug #270249
  * Installs the documentation. Closes: #238399

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Tue, 14 Sep 2004 15:45:23 +0200

zonecheck (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 10 Mar 2004 14:08:05 +0100

zonecheck (2.0.2-2) unstable; urgency=low

  * Now depends on iputils-ping. (Closes: #231605)

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Sat,  7 Feb 2004 21:52:41 +0100

zonecheck (2.0.2-1) unstable; urgency=low

  * New upstream release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon, 19 Jan 2004 16:25:53 +0100

zonecheck (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * First Debian official upload (Closes: #222388)

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Mon,  5 Jan 2004 10:16:27 +0100

zonecheck (2.0.0-2) unstable; urgency=low

  * Stupid bug in zonecheck-cgi (files copied in the wrong place) 

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed,  3 Dec 2003 16:16:20 +0100

zonecheck (2.0.0-1) unstable; urgency=low



=== debian/control ===
Source: zonecheck
Section: net
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends-Indep: ruby (>= 1.8)
Build-Depends: debhelper (>= 6.0.0)
Standards-Version: 3.9.0
Homepage: http://www.zonecheck.fr

Package: zonecheck
Architecture: all
Depends: ruby (>= 1.8), iputils-ping, libdns-ruby (>= 1.47), ${misc:Depends}
Recommends: libopenssl-ruby
Description: DNS configuration checker
 DNS is a critical resource for every network application, so it is
 quite important to ensure that a zone or domain name is correctly
 configured in the DNS.
 .
 ZoneCheck is intended to help solving misconfigurations or
 inconsistencies usually revealed by an increase in the latency of the
 application, up to the output of unexpected/inconsistant results.
 .
 This package is the command-line version.


Package: zonecheck-cgi
Architecture: all
Depends: zonecheck, apache | httpd, ${misc:Depends}
Description: DNS configuration checker (web interface)
 DNS is a critical resource for every network application, so it is
 quite important to ensure that a zone or domain name is correctly
 configured in the DNS.
 .
 ZoneCheck is intended to help solving misconfigurations or
 inconsistencies usually revealed by an increase in the latency of the
 application, up to the output of unexpected/inconsistant results.
 .
 This package is the CGI version, for the Web.

## zonecheck 3.0.3

=== debian/changelog ===
zonecheck (3.0.3-5) unstable; urgency=low

  * Depend on ruby-dnsruby instead of libdns-ruby (Closes: #725074)

 -- Sebastien Delafond <seb@debian.org>  Tue, 01 Oct 2013 09:58:26 +0200

zonecheck (3.0.3-4) unstable; urgency=low

  * Add to collab-maint

 -- Sebastien Delafond <seb@debian.org>  Sun, 11 Aug 2013 22:27:51 +0200

zonecheck (3.0.3-3) unstable; urgency=low

  * New IPv4 address for d.root-servers.net (Closes: #715479)
  * Bump-up Standards revision

 -- Sebastien Delafond <seb@debian.org>  Sun, 11 Aug 2013 22:27:43 +0200

zonecheck (3.0.3-2) unstable; urgency=low

  * Fix problems related to ruby 1.9, thanks to patches from Antonio
    Terceiro <terceiro@debian.org> (Closes: #676109, #676173)
  * Bump-up Standards revision.
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 18 Jun 2012 15:44:33 +0200

zonecheck (3.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #599169).
  * Updated watch file.
  * Bumpred-up Standards revision.

 -- Sebastien Delafond <seb@debian.org>  Tue, 05 Oct 2010 11:42:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends-Indep: ruby (>= 1.8)
 Build-Depends: debhelper (>= 6.0.0)
-Standards-Version: 3.9.0
+Standards-Version: 3.9.4
 Homepage: http://www.zonecheck.fr
+Vcs-Git: git://anonscm.debian.org/collab-maint/zonecheck.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/zonecheck.git
 
 Package: zonecheck
 Architecture: all
-Depends: ruby (>= 1.8), iputils-ping, libdns-ruby (>= 1.47), ${misc:Depends}
+Depends: ruby (>= 1.8), iputils-ping, ruby-dnsruby (>= 1.47), ${misc:Depends}
 Recommends: libopenssl-ruby
 Description: DNS configuration checker
  DNS is a critical resource for every network application, so it is

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export RUBYOPT=--encoding UTF-8
RUBY=/usr/bin/ruby

build: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/zonecheck.
	$(RUBY) installer.rb -DCHROOT=$(CURDIR)/debian/zonecheck \
		-DPREFIX=/usr -DETCDIR=/etc -DETCDIST= \
		-DLIBEXEC=/usr/share -DMANDIR=/usr/share/man -DRUBY=${RUBY} \
		common cli doc
	# Patch the configuration file for Linux netkit ping
	$(RUBY) -p -i \
		-e "\$$_.gsub"\!"(/(<const\s+name\s*=\s*\"ping4\"\s+value\s*=\s*\")[^\"]*(\"\s*\/>)/, '\1ping  -n -q -w 5 -c 5 %s > /dev/null\2')" \
		-e "\$$_.gsub"\!"(/(<const\s+name\s*=\s*\"ping6\"\s+value\s*=\s*\")[^\"]*(\"\s*\/>)/, '\1ping6 -n -q -w 5 -c 5 %s > /dev/null\2')" \
	$(CURDIR)/debian/zonecheck/etc/zonecheck/zc.conf
	# Add here commands to install the package into debian/zonecheck-cgi.
	$(RUBY) installer.rb -DCHROOT=$(CURDIR)/debian/zonecheck-cgi \
               -DPREFIX=/usr -DETCDIR=/etc -DETCDIST= \
	       -DCGIDIR=/usr/lib/cgi-bin/ -DLIBEXEC=/usr/share \
	       -DMANDIR=/usr/share/man -DWWWDIR=/usr/share/zonecheck-cgi \
               -DWWWCGIDIR=/cgi-bin -DRUBY=${RUBY} \
		cgi
	rm -fr $(CURDIR)/debian/zonecheck-cgi/usr/share/zonecheck
	rm -fr $(CURDIR)/debian/zonecheck/usr/share/zonecheck/zc/config
	mv $(CURDIR)/debian/zonecheck/usr/share/zonecheck/zc/locale.rb $(CURDIR)/debian/zonecheck/usr/share/zonecheck/zc/zc-locale.rb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs -X .created # bogus empty file should not be installed
	dh_installdocs -p zonecheck-cgi debian/NEWS.Debian
	dh_installexamples
	dh_installman
	dh_compress
	dh_fixperms
	dh_link
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3

opts=pasv ftp://ftp.nic.fr/pub/mirror/zonecheck/src/zonecheck-(.*)\.tgz debian uupdate

## zonecheck 3.0.5

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
-# $Id: Makefile,v 1.39 2004/12/02 09:06:11 bortzmeyer Exp $
+# $Id: Makefile,v 1.40 2010/06/01 15:36:06 chabannf Exp $
 
 #  
 # CONTACT     : zonecheck@nic.fr 
 # AUTHOR      : Stephane D'Alu <sdalu@nic.fr> 
 # 
 # CREATED     : 2003/10/23 21:04:09 
-# REVISION    : $Revision: 1.39 $  
-# DATE        : $Date: 2004/12/02 09:06:11 $ 
+# REVISION    : $Revision: 1.40 $  
+# DATE        : $Date: 2010/06/01 15:36:06 $ 
 # 
 
 RUBY ?=ruby

=== contrib/display-policy/Makefile ===
STYLESHEET=http://www.afnic.fr/tpl/tpl.css

all: afnic.fr.html afnic.en.html

afnic.fr.html: afnic.profile
	./profile2html.py -l fr -s ${STYLESHEET} afnic.profile > $@

afnic.en.html: afnic.profile
	./profile2html.py -l en -s ${STYLESHEET} afnic.profile > $@

clean:
	rm -f *.html *~

=== doc/xml/Makefile ===
DOCBOOK_FILES=../../../formation/lib

include ${DOCBOOK_FILES}/Makefile.inc

# $Id: Makefile,v 1.2 2010/06/01 15:36:07 chabannf Exp $

=== debian/changelog ===
zonecheck (3.0.5-3) unstable; urgency=medium

  * Make the HTML doc a bit more friendly (Closes: #741560)
  * Provide an Apache config snippet for zonecheck-cgi (Closes: #741562)

 -- Sebastien Delafond <seb@debian.org>  Sun, 13 Jul 2014 12:11:31 +0200

zonecheck (3.0.5-2) unstable; urgency=low

  * Change "Manuel" to "Manual", and add missing trailing newline
    (Closes: #747325)

 -- Sebastien Delafond <seb@debian.org>  Wed, 07 May 2014 16:33:16 +0200

zonecheck (3.0.5-1) unstable; urgency=low

  * New upstream release
  * Update watch file
  * Bump-up Standards-Version
  * Update man page patch for 3.0.5
  * Register HTML documentation in doc-base
  * Use build-arch and build-indep targets in debian/rules

 -- Sebastien Delafond <seb@debian.org>  Sat, 04 Jan 2014 23:44:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends-Indep: ruby (>= 1.8)
 Build-Depends: debhelper (>= 6.0.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.zonecheck.fr
 Vcs-Git: git://anonscm.debian.org/collab-maint/zonecheck.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/zonecheck.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 export RUBYOPT=--encoding UTF-8
 RUBY=/usr/bin/ruby
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
@@ -56,6 +58,12 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs -X .created # bogus empty file should not be installed
 	dh_installdocs -p zonecheck-cgi debian/NEWS.Debian
+	# Make the HTML doc a bit more user-friendly (#741560)
+	ln -sf ../misc/docbook.css $(CURDIR)/debian/zonecheck/usr/share/doc/zonecheck/html/docbook.css 
+	mv $(CURDIR)/debian/zonecheck/usr/share/doc/zonecheck/html/index.html  $(CURDIR)/debian/zonecheck/usr/share/doc/zonecheck/html/index-header.html
+	mv $(CURDIR)/debian/zonecheck/usr/share/doc/zonecheck/html/index-toc.html  $(CURDIR)/debian/zonecheck/usr/share/doc/zonecheck/html/index.html
+	dh_installdocs -p zonecheck-cgi debian/NEWS.Debian doc/apache.conf
+	dh_installdocs -p zonecheck-cgi debian/NEWS.Debian doc/apache.conf
 	dh_installexamples
 	dh_installman
 	dh_compress

=== debian/watch ===
version=3

http://www.zonecheck.fr/download/zonecheck-(.*)\.tgz debian uupdate
